aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/initrdscripts/files/85-blockboot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/initrdscripts/files/85-blockboot.sh')
-rw-r--r--recipes/initrdscripts/files/85-blockboot.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/recipes/initrdscripts/files/85-blockboot.sh b/recipes/initrdscripts/files/85-blockboot.sh
new file mode 100644
index 0000000000..e1c3ed893e
--- /dev/null
+++ b/recipes/initrdscripts/files/85-blockboot.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Allow booting from a normal block device.
+
+if [ -e "$ROOT_DEVICE" ]; then
+ echo "booting from: $ROOT_DEVICE"
+ type=""
+ if [ -n "$ROOT_FSTYPE" ]; then
+ type="-t $ROOT_FSTYPE"
+ fi
+ mount $type "$ROOT_DEVICE" /mnt || fatal "Unable to mount rootfs device"
+ BOOT_ROOT=/mnt
+fi